► |  | The Racket Graphical Interface Toolkit

1 | Windowing
2 | Widget Gallery
3 | Windowing Classes
4 | Windowing Functions
5 | Editors
6 | Snip and Style Classes
7 | Editor Classes
8 | Editor Functions
9 | WXME Decoding
10 | Preferences
11 | Dynamic Loading
12 | Startup Actions
13 | Platform Dependencies
| Index

▼ | 3 | Windowing Classes

3.1 | area<%>
3.2 | area-container<%>
3.3 | area-container-window<%>
3.4 | button%
3.5 | canvas<%>
3.6 | canvas%
3.7 | check-box%
3.8 | checkable-menu-item%
3.9 | choice%
3.10 | clipboard-client%
3.11 | clipboard<%>
3.12 | combo-field%
3.13 | control<%>
3.14 | column-control-event%
3.15 | control-event%
3.16 | cursor%
3.17 | dialog%
3.18 | event%
3.19 | frame%
3.20 | gauge%
3.21 | group-box-panel%
3.22 | grow-box-spacer-pane%
3.23 | horizontal-pane%
3.24 | horizontal-panel%
3.25 | key-event%
3.26 | labelled-menu-item<%>
3.27 | list-box%
3.28 | list-control<%>
3.29 | menu%
3.30 | menu-bar%
3.31 | menu-item<%>
3.32 | menu-item%
3.33 | menu-item-container<%>
3.34 | message%
3.35 | mouse-event%
3.36 | pane%
3.37 | panel%
3.38 | popup-menu%
3.39 | printer-dc%
3.40 | radio-box%
3.41 | selectable-menu-item<%>
3.42 | separator-menu-item%
3.43 | scroll-event%
3.44 | slider%
3.45 | subarea<%>
3.46 | subwindow<%>
3.47 | tab-panel%
3.48 | text-field%
3.49 | timer%
3.50 | top-level-window<%>
3.51 | vertical-pane%
3.52 | vertical-panel%
3.53 | window<%>

On this page:

new
add-type
get-data
get-types
on-replaced

top ← prev up next →

> class

> clipboard-client% : class?

superclass: object%

A clipboard-client% object allows a program to take over the clipboard and service requests for clipboard data. See clipboard<%> for more information.

A clipboard-client% object is associated to an eventspace when it becomes the current client; see set-clipboard-client for more information.

> > constructor

> > (new clipboard-client%) → (is-a?/c clipboard-client%)

Creates a clipboard client that supports no data formats.

> > method

> > (send a-clipboard-client add-type format) → void?

> format : string?

Adds a new data format name to the list supported by the clipboard client.

The format string is typically four capital letters. (On Mac OS X, only four characters for format are ever used.) For example, "TEXT" is the name of the UTF-8-encoded string format. New format names can be used to communicate application- and platform-specific data formats.

> > method

> > (send a-clipboard-client get-data format)

> → (or/c bytes? string? #f)
> format : string?

Called when a process requests clipboard data while this client is the current one for the clipboard. The requested format is passed to the method, and the result should be a byte string matching the requested format, or #f if the request cannot be fulfilled.

Only data format names in the client’s list will be passed to this method; see add-type.

When this method is called by the clipboard, the current eventspace is the same as the client’s eventspace. If, at the point of the clipboard request, the current eventspace is not the client’s eventspace, then current thread is guaranteed to be the handler thread of the client’s eventspace.

> > method

> > (send a-clipboard-client get-types) → (listof string?)

Returns a list of names that are the data formats supported by the clipboard client.

> > method

> > (send a-clipboard-client on-replaced) → void?

Called when a clipboard client is dismissed as the clipboard owner (because the clipboard has be taken by another client or by an external application).
top ← prev up next →